djview4 version 4.7-1 FTBFS on i386 in precise

Bug #935068 reported by Andreas Moog on 2012-02-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
djview4 (Ubuntu)
High
Micah Gersten
Precise
High
Micah Gersten

Bug Description

This is a semi-automatic report based on the latest archive rebuild results [1].
Apologies if it reaches you in error.

Excerpt from the buildlog:

/usr/include/qt4/QtCore/qshareddata.h:209:7: instantiated from 'void QExplicitlySharedDataPointer<T>::swap(QExplicitlySharedDataPointer<T>&) [with T = QPixmapData, QExplicitlySharedDataPointer<T> = QExplicitlySharedDataPointer<QPixmapData>]'
/usr/include/qt4/QtCore/qshareddata.h:266:3: instantiated from 'void qSwap(QExplicitlySharedDataPointer<T>&, QExplicitlySharedDataPointer<T>&) [with T = QPixmapData]'
/usr/include/qt4/QtGui/qpixmap.h:90:62: instantiated from here
/usr/include/qt4/QtCore/qglobal.h:2154:5: error: call of overloaded 'swap(QPixmapData*&, QPixmapData*&)' is ambiguous
/usr/include/qt4/QtCore/qglobal.h:2154:5: note: candidates are:
/usr/include/c++/4.6/bits/move.h:122:5: note: void std::swap(_Tp&, _Tp&) [with _Tp = QPixmapData*]
qdjvuwidget.cpp:155:1: note: void swap(T&, T&) [with T = QPixmapData*]
/usr/include/qt4/QtCore/qglobal.h: In function 'void qSwap(T&, T&) [with T = QBrushData*]':
/usr/include/qt4/QtCore/qscopedpointer.h:161:9: instantiated from 'void QScopedPointer<T, Cleanup>::swap(QScopedPointer<T, Cleanup>&) [with T = QBrushData, Cleanup = QBrushDataPointerDeleter]'
/usr/include/qt4/QtCore/qscopedpointer.h:187:3: instantiated from 'void qSwap(QScopedPointer<T, Cleanup>&, QScopedPointer<T, Cleanup>&) [with T = QBrushData, Cleanup = QBrushDataPointerDeleter]'
/usr/include/qt4/QtGui/qbrush.h:99:55: instantiated from here
/usr/include/qt4/QtCore/qglobal.h:2154:5: error: call of overloaded 'swap(QBrushData*&, QBrushData*&)' is ambiguous
/usr/include/qt4/QtCore/qglobal.h:2154:5: note: candidates are:
/usr/include/c++/4.6/bits/move.h:122:5: note: void std::swap(_Tp&, _Tp&) [with _Tp = QBrushData*]
qdjvuwidget.cpp:155:1: note: void swap(T&, T&) [with T = QBrushData*]
make[2]: *** [qdjvuwidget.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/build/buildd/djview4-4.7/src'
make[1]: *** [all-djview] Error 2
make[1]: Leaving directory `/build/buildd/djview4-4.7'
dh_auto_build: make -j2 returned exit code 2
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************
Build finished at 20120205-0327
FAILED [dpkg-buildpackage died]

The full buidlog can be found at https://launchpad.net/ubuntu/+archive/test-rebuild-20120201/+build/3143576/+files/buildlog_ubuntu-precise-i386.djview4_4.7-1_FAILEDTOBUILD.txt.gz.

[1] http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20120201-precise.html

Andreas Moog (ampelbein) on 2012-02-18
Changed in djview4 (Ubuntu):
importance: Undecided → High
Micah Gersten (micahg) wrote :

Fixed with 4.9-1 in Debian, requested sync bug 982211

Changed in djview4 (Ubuntu Precise):
assignee: nobody → Micah Gersten (micahg)
status: New → In Progress
Micah Gersten (micahg) wrote :

This bug was fixed in the package djview4 - 4.9-1

---------------
djview4 (4.9-1) unstable; urgency=low

  [ Leon Bottou ]
  * new upstream version

  [ Barak A. Pearlmutter ]
  * switch deprecated rsvg to plug-compatible rsvg-convert (closes: #666474)
  * bump to dh 9
  * bump debian policy version

 -- Barak A. Pearlmutter <email address hidden> Wed, 04 Apr 2012 09:25:22 +0100

djview4 (4.8-3) unstable; urgency=low

  * upstream change giving user ability to allow print/save in plugin

 -- Barak A. Pearlmutter <email address hidden> Sat, 26 Nov 2011 23:11:19 +0000

djview4 (4.8-2) unstable; urgency=low

  * single debian patch source option (closes: #643093)
  * ensure rsvg in build dependencies
  * silence lintian regarding duplicate sections
  * silence lintian regarding unneeded encoding in desktop file

 -- Barak A. Pearlmutter <email address hidden> Fri, 07 Oct 2011 20:28:47 +0100

djview4 (4.8-1) unstable; urgency=low

  * new upstream release
  * tweak plugin installation location
  * silence some lintian issues:
    - bump debian standards version
    - add build-arch build-indep as debian/rules targets
    - convert djvulibre-djview4.xpm from PNG to XPM
    - switch empty binary package djvulibre-plugin to arch independent
    - generate and install not PNG but XPM icon files
  * work around rejection-inducing lintian bug

 -- Barak A. Pearlmutter <email address hidden> Fri, 29 Jul 2011 14:05:56 +0100

Changed in djview4 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers